Skip to main content
GET
/
payments
/
{paymentId}
Get payment
curl --request GET \
  --url https://api.example.com/payments/{paymentId}
{
  "id": "019bdb2a-960f-789d-8955-21720e6cdeed",
  "debtor": {
    "name": "Jane Smith",
    "iban": "DE89370400440532013000",
    "currency": "EUR",
    "agent": "REVOLT21",
    "address": {
      "townName": "Berlin",
      "streetName": "Hauptstrave",
      "buildingNumber": "42",
      "postCode": "10115",
      "country": "DE"
    }
  },
  "creditor": {
    "name": "Jane Smith",
    "iban": "DE89370400440532013000",
    "currency": "EUR",
    "agent": "REVOLT21",
    "address": {
      "townName": "Berlin",
      "streetName": "Hauptstrave",
      "buildingNumber": "42",
      "postCode": "10115",
      "country": "DE"
    }
  },
  "amount": 10000,
  "currency": "EUR",
  "remittanceInformation": "Invoice payment #12345",
  "status": "PENDING",
  "scheme": "SCT",
  "direction": "OUTBOUND",
  "createdAt": "2026-01-22T13:47:21.542163Z",
  "updatedAt": "2026-01-22T13:47:21.542163Z",
  "debtorPartyId": "019bdb2a-960f-789d-8955-21720e6cdeee",
  "debtorAccountId": "019bdb2a-960f-789d-8955-21720e6cdeef",
  "creditorPartyId": "019bdb2a-960f-789d-8955-21720e6cdef1",
  "creditorAccountId": "019bdb2a-960f-789d-8955-21720e6cdef2",
  "endToEndId": "E2E-123456",
  "settlementDate": "2026-01-22",
  "returnGatewayTransactionId": "48573921"
}

Path Parameters

paymentId
string<uuid>
required

Payment ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}

Response

Payment details

Payment details

id
string<uuid>
required

Payment ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdeed"

debtor
object
required

Debtor (payer) information

creditor
object
required

Creditor (payee) information

amount
integer
required

Amount in minor units (cents)

Example:

10000

currency
string
required

Currency code

Example:

"EUR"

remittanceInformation
string
required

Payment description/reference

Example:

"Invoice payment #12345"

status
enum<string>
required

Payment status

Available options:
PENDING,
COMPLETED,
FAILED,
RETURNED
scheme
enum<string>
required

Payment scheme

Available options:
SCT,
SCT_INST
direction
enum<string>
required

Payment direction

Available options:
OUTBOUND,
INBOUND
createdAt
string<date-time>
required

Payment creation timestamp

Example:

"2026-01-22T13:47:21.542163Z"

updatedAt
string<date-time>
required

Payment last update timestamp

Example:

"2026-01-22T13:47:21.542163Z"

debtorPartyId
string<uuid> | null

Debtor party ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdeee"

debtorAccountId
string<uuid> | null

Debtor account ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdeef"

creditorPartyId
string<uuid> | null

Creditor party ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdef1"

creditorAccountId
string<uuid> | null

Creditor account ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdef2"

endToEndId
string | null

End-to-end identifier

Example:

"E2E-123456"

settlementDate
string<date> | null

Settlement date

Example:

"2026-01-22"

returnGatewayTransactionId
string | null

Return gateway transaction ID

Example:

"48573921"